OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
test_mixed_coc.cpp File Reference
`#include <cstring>`
`#include <vector>`
`#include "ojph_mem.h"`
`#include "ojph_file.h"`
`#include "ojph_codestream.h"`
`#include "ojph_params.h"`
`#include "gtest/gtest.h"`

Go to the source code of this file.

## Functions
| TEST (TestMixedCOC, FourCompMixedReversibility)
int | main (int argc, char **argv)

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 175 of file test_mixed_coc.cpp.

## ◆ TEST()

TEST | ( | TestMixedCOC | ,
|  | FourCompMixedReversibility | )

Definition at line 51 of file test_mixed_coc.cpp.

References ojph::codestream::access_cod(), ojph::codestream::access_qcd(), ojph::codestream::access_siz(), ojph::codestream::close(), ojph::codestream::create(), ojph::codestream::exchange(), ojph::line_buf::f32, ojph::line_buf::flags, ojph::codestream::flush(), ojph::param_siz::get_bit_depth(), ojph::param_siz::get_num_components(), ojph::param_siz::get_recon_height(), ojph::param_siz::get_recon_width(), ojph::line_buf::i32, ojph::param_cod::is_reversible(), ojph::line_buf::LFT_INTEGER, ojph::j2c_infile::open(), ojph::j2c_outfile::open(), ojph::codestream::pull(), ojph::codestream::read_headers(), ojph::codestream::restrict_input_resolution(), ojph::param_cod::set_block_dims(), ojph::param_cod::set_color_transform(), ojph::param_siz::set_component(), ojph::param_siz::set_image_extent(), ojph::param_siz::set_image_offset(), ojph::param_qcd::set_irrev_quant(), ojph::param_siz::set_num_components(), ojph::param_cod::set_num_decomposition(), ojph::codestream::set_planar(), ojph::param_cod::set_reversible(), ojph::param_siz::set_tile_offset(), ojph::param_siz::set_tile_size(), ojph::line_buf::size, and ojph::codestream::write_headers().